package imgbtn;
//DisableImageFilter.java
import java.awt.image.*;

class DisableImageFilter extends RGBImageFilter
{

    public DisableImageFilter() {
        canFilterIndexColorModel = false;
    }



    public int filterRGB( int x, int y, int rgb ) {
        if ( ( ( x % 2 ) ^ ( y % 2 ) ) == 1 ) {
            return ( rgb & 0xffffff );
        }
        else {
            return rgb;
        }
    }
}
