//Scroll.java
import java.awt.*;
public class Scroll extends Thread{

  public Scroll(String text, TextField display){
    this.display=display;
    pad= display.getColumns()-1;
    this.text=setupString(text);
    defaultFont=display.getFont();
    scrollFont=new Font("Courier",2,12);
    display.setFont(scrollFont);
  }

  public void run(){
      scroll(text);
      display.setFont(defaultFont);
  }

  String setupString(String text){
    for( int i=0;i<pad;i++){
      text=" "+text+" ";
    }
    return text;
  }

  void scroll(String text){
    String temp;
    for(int i=0;i<text.length()-pad;i++){
      temp=text.substring(i,i+pad);
      display.setText(temp);
	  try {sleep(MILLI_SECONDS);}
	  catch (Exception e) {}
    }
    display.setText("");
  }

  private int pad;
  private String text;
  private TextField display;
  private Font defaultFont;
  private Font scrollFont;
  private static int MILLI_SECONDS=120;

}
