/**
 *  Class getdis.java
 *  @author: Anders Sandstrom, Dee Patel.
 *  UCCS 1997
 */
import java.awt.*;
import java.util.*;
import java.net.*;
import java.io.*;

class getdis extends Thread
{
    static Core s = null;
    DataInputStream dis = null;
    String conf_name;
    String id_name;
    Graphics rgra;
    boolean pen_done;
    boolean text_done;
    boolean delete_done;
    boolean background_done;
    boolean ctrlChar_done;
    boolean chat_done;

    public void getCore(Core core)
    {
        s = core;
    }

    public void update_dis(DataInputStream dataipstream,
                           String conf_nm,
                           String id_nm)
    {
        dis = dataipstream;
        conf_name = conf_nm;
        id_name = id_nm;
    }
    public  void  run()
    {
        String  str_button  =  null;
        String  strlastx  =  null;
        String  strlasty  =  null;
        String  strx  =  null;
        String  stry  =  null;
        String  strpenthickness  =  null;
        String  strerasethickness  =  null;
        String  strcolor  =  null;
        String  strname  =  null;
        String  strstyle  =  null;
        String  strsize  =  null;
        String  strprintchar  =  null;
        String inputbuffer;
        String strarray[] = new String[200];


        while(true)
        {
            strarray[0] = " ";
            inputbuffer = null;
            pen_done = false;
            text_done = false;
            delete_done=false; // added 3/6/97
            background_done=false;
            ctrlChar_done=false; // added 3/29/97
            chat_done=false;//added 3/31/97
            if (dis == null || s == null)
            {
                continue;
            }
            try
            {
                inputbuffer  =  dis.readLine();
            }
            catch(IOException  e)
            {
                System.out.println("Error:  IO  Exception");
            }
            if(inputbuffer == null)
            {
                continue;
            }
            //System.out.println("INPUT = "+inputbuffer);
            StringTokenizer  inputbufferST  =
                new  StringTokenizer(inputbuffer,  "  ");

            int index = 0;
            while(inputbufferST.hasMoreTokens())
            {
                strarray[index] = inputbufferST.nextToken();
                index++;
            }

            if(strarray[0].compareTo("Disconnect") == 0)
            {
                //System.out.println("DISCONNECT "+inputbuffer);
                s.disconnectClient();
                continue;
            }
            else if(strarray[0].compareTo("List") == 0)
            {
                //System.out.println("LIST "+inputbuffer+ " " + strarray[0]);
                s.getdis_list(strarray, index);
                continue;
            }
            else if(strarray[0].compareTo(conf_name) != 0)
            {
                continue;
            }
            /*
            if(strarray[1].compareTo("ALL") == 0)
            {
                continue;
            }
            else*/
            if(strarray[1].compareTo(id_name) == 0)
            {
                continue;
            }

            str_button = strarray[2];
            if(str_button.charAt(0) == 'P')
            {
                int r_lastx  =  new  Integer(strarray[3]).intValue();//x1
                int r_lasty  =  new  Integer(strarray[4]).intValue();//y1
                int r_x  =  new  Integer(strarray[5]).intValue();//x2
                int r_y  =  new  Integer(strarray[6]).intValue();//y2
                int r_penthickness  =  new  Integer(strarray[7]).intValue();//type
                int r_erasethickness  =  new Integer(strarray[8]).intValue();//id
                int r_color  =  new  Integer(strarray[9]).intValue();//color
                int r_fill =  new  Integer(strarray[10]).intValue();//fill

            //System.out.println("BEFORE");
                pen_done = s.getdis_pen(r_lastx,
                                      r_lasty,
                                      r_x,
                                      r_y,
                                      r_penthickness,
                                      r_erasethickness,
                                      r_color,
                                      r_fill);
            }
            if(str_button.charAt(0) == 'p')
            {
                int r_lastx  =  new  Integer(strarray[3]).intValue();//x1
                int r_lasty  =  new  Integer(strarray[4]).intValue();//y1
                int r_x  =  new  Integer(strarray[5]).intValue();//x2
                int r_y  =  new  Integer(strarray[6]).intValue();//y2
                int r_penthickness  =  new  Integer(strarray[7]).intValue();//type
                int r_erasethickness  =  new Integer(strarray[8]).intValue();//id
                int r_color  =  new  Integer(strarray[9]).intValue();//color
                int r_fill =  new  Integer(strarray[10]).intValue();//fill

            //System.out.println("BEFORE");
                pen_done = s.getdis_changePen(r_lastx,
                                      r_lasty,
                                      r_x,
                                      r_y,
                                      r_penthickness,
                                      r_erasethickness,
                                      r_color,
                                      r_fill);
            }

            else if(str_button.charAt(0) == 'B'){
                int r_backgroundcolor  =  new  Integer(strarray[3]).intValue();//canvas background color
                background_done = s.getdis_background(r_backgroundcolor);
            }
            else if(str_button.charAt(0) == 'D'){
                int id =  new  Integer(strarray[3]).intValue();
                delete_done = s.getdis_delete(id);
            }

            else if(str_button.charAt(0) == 'C'){
                int id =  new  Integer(strarray[3]).intValue();
                int cId=  new  Integer(strarray[4]).intValue();
                int key=  new  Integer(strarray[5]).intValue();
                ctrlChar_done = s.getdis_ctrlChar(id,cId,key);
            }

            else if(str_button.charAt(0) == 'H'){
                String name= strarray[3];//user name
                String msg = strarray[4];// msg
                chat_done = s.getdis_chat(name,msg);
            }

            else if (str_button.charAt(0) == 'T')
            {
                int r_x  =  new  Integer(strarray[3]).intValue();// x
                int r_y  =  new  Integer(strarray[4]).intValue();// y
                int r_w  =  new  Integer(strarray[5]).intValue();// width
                int r_h  =  new  Integer(strarray[6]).intValue();// height
                int r_si =  new  Integer(strarray[7]).intValue();// fontSize
                int r_st =  new  Integer(strarray[8]).intValue();// fontStyle
                String r_f  =            strarray[9];            // fontName
                int r_t  =  new  Integer(strarray[10]).intValue();// tool
                int r_id =  new  Integer(strarray[11]).intValue();// id
                int r_cId=  new  Integer(strarray[12]).intValue();// charId
                int r_k  =  new  Integer(strarray[13]).intValue();// key
                int r_c  =  new  Integer(strarray[14]).intValue();// RGB
                text_done = s.getdis_text(r_x,
                                          r_y,
                                          r_w,
                                          r_h,
                                          r_si,
                                          r_st,
                                          r_f,
                                          r_t,
                                          r_id,
                                          r_cId,
                                          r_k,
                                          r_c);
            }
            else if (str_button.charAt(0) == 't')
            {
                int r_x  =  new  Integer(strarray[3]).intValue();// x
                int r_y  =  new  Integer(strarray[4]).intValue();// y
                int r_w  =  new  Integer(strarray[5]).intValue();// width
                int r_h  =  new  Integer(strarray[6]).intValue();// height
                int r_si =  new  Integer(strarray[7]).intValue();// fontSize
                int r_st =  new  Integer(strarray[8]).intValue();// fontStyle
                String r_f  =            strarray[9];            // fontName
                int r_t  =  new  Integer(strarray[10]).intValue();// tool
                int r_id =  new  Integer(strarray[11]).intValue();// id
                int r_cId=  new  Integer(strarray[12]).intValue();// charId
                int r_k  =  new  Integer(strarray[13]).intValue();// key
                int r_c  =  new  Integer(strarray[14]).intValue();// RGB
                text_done = s.getdis_changeText(r_x,
                                          r_y,
                                          r_w,
                                          r_h,
                                          r_si,
                                          r_st,
                                          r_f,
                                          r_t,
                                          r_id,
                                          r_cId,
                                          r_k,
                                          r_c);
            }

        }//while
    }  //sendtoscreen_fromremote()
}
